using System.Collections;
using System.Collections.Generic;
using System.Text.RegularExpressions;
using System.Text;


namespace Rokojori
{
  public class SelectsAnyType:LexerEventSelector
  {
    public LexerMatcher[] types;

    public override bool Selects( LexerEvent e )
    {
      return e.IsAnyOf( types );
    }

    public static SelectsAnyType Ignore()
    {
      var s = new SelectsAnyType();
      s.types = LexerMatcherLibrary.Ignore;
      return s;
    }
  }
  
}